import { BlockComponentPlayerDestroyEvent, world } from '@minecraft/server';

export const xp_reward = world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('swp:xp_reward', {
        onPlayerDestroy(arg) {
            const player = arg.player;
            const container = player.getComponent("inventory").container;
            const heldItem = container.getItem(player.selectedSlotIndex);

            const allowedPickaxes = [
                "minecraft:iron_pickaxe",
                "minecraft:golden_pickaxe",
                "minecraft:diamond_pickaxe",
                "minecraft:netherite_pickaxe"
            ];

            if (heldItem && allowedPickaxes.includes(heldItem.typeId)) {
                let { x, y, z } = arg.block.location;
                arg.dimension.runCommand(`structure load my_xp_structure ${x} ${y} ${z}`);
            }
        }
    });
});